Description

English.rb is no longer maintained by ruby core team.

Can we remove it from our repository? The users can install if from rubygems.org now.

Related issues:

Related to Ruby - Feature #14138: Define English.rb aliases by default and el... Closed

Related to Ruby - Feature #19351: Promote bundled gems at Ruby 3.3 Closed

History

#1 - 06/16/2020 12:59 PM - retro (Josef Šimánek)

I'm all in for this since this one will help to "normalize" standard library naming (this one is also having "exotic" file name with capital first letter).

#2 - 06/18/2020 04:33 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

mame@gem-codesearch:~$ csearch "require 'English'" | wc -l

866

mame@gem-codesearch:~$ csearch "require \"English\"" | wc -l

273

 We found the usage of English.rb like capybara that is the famous gem. I have a bit of aware to affect this proposal.

#3 - 06/18/2020 07:46 AM - deivid (David Rodríguez)

I'm surprised by the low usage you found anyways, since rubocop and its style guide recommend English and enforce it by default. Honestly, I'd like

all English names to be there by default without having to require anything.

#4 - 06/18/2020 09:22 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #14138: Define English.rb aliases by default and eliminate the library added

#5 - 06/18/2020 09:22 AM - hsbt (Hiroshi SHIBATA)

@deivid

See #14138 . We have a plan to remove it at Ruby 3.

#6 - 06/18/2020 10:38 AM - deivid (David Rodríguez)

Nice, I didn't know that. Something I don't quite get is, if the functionality of English will be the default (in ruby 2.8, I guess?), what's the point of

gemifying it?

#7 - 06/18/2020 05:03 PM - Eregon (Benoit Daloze)

I think we should define these aliases in core, and then English.rb does nothing.

Removing it from the standard library seems too incompatible to me.

#8 - 06/19/2020 09:48 AM - deivid (David Rodríguez)

Agreed!

We should at least add a warning on top of English.rb for a full release cycle before removing it.

#9 - 01/20/2023 11:34 AM - hsbt (Hiroshi SHIBATA)
https://rubystyle.guide/#no-cryptic-perlisms
https://docs.rubocop.org/rubocop/cops_style.html#enforcedstyle-use_english_names-default
https://bugs.ruby-lang.org/issues/14138


- Related to Feature #19351: Promote bundled gems at Ruby 3.3 added

#10 - 01/20/2023 11:39 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

I withdraw this proposal. We need to consider another deprecate plan.
